GreatWksSSParserInternal::Spreadsheet Class Reference

the spreadsheet of a of a MsWksSSParser More...

## Public Member Functions

| Spreadsheet ()
| constructor
int | getRowHeight (int row) const
| returns the row size in point
double | getRowHeight (int row, int &numRepeated) const
| returns the height of a row in point and updated repeated row
std::vector< float > | convertInPoint (std::vector< int > const &list) const
| convert the m_widthCols in a vector of of point size

## Public Attributes

int | m_widthDefault
| the default column width
std::vector< int > | m_widthCols
| the column size in points
int | m_heightDefault
| the default row height
std::vector< int > | m_heightRows
| the row height in points
std::vector< Cell > | m_cells
| the list of not empty cells
std::string | m_name
| the spreadsheet name

## Protected Member Functions

MWAWVec2i | getRightBottomPosition () const
| returns the last Right Bottom cell position

## Detailed Description

the spreadsheet of a of a MsWksSSParser

## Constructor & Destructor Documentation

## Spreadsheet()

GreatWksSSParserInternal::Spreadsheet::Spreadsheet | ( |  | ) |

inline

constructor

## Member Function Documentation

## convertInPoint()

std::vector< float > GreatWksSSParserInternal::Spreadsheet::convertInPoint | ( | std::vector< int > const & | list | ) | const

inline

convert the m_widthCols in a vector of of point size

## getRightBottomPosition()

MWAWVec2i GreatWksSSParserInternal::Spreadsheet::getRightBottomPosition | ( |  | ) | const

inline protected

returns the last Right Bottom cell position

Referenced by convertInPoint().

## getRowHeight() [1/2]

int GreatWksSSParserInternal::Spreadsheet::getRowHeight | ( | int | row | ) | const

inline

returns the row size in point

Referenced by getRowHeight().

## getRowHeight() [2/2]

double GreatWksSSParserInternal::Spreadsheet::getRowHeight | ( | int | row,
|  | int & | numRepeated ) const

inline

returns the height of a row in point and updated repeated row

## Member Data Documentation

## m_cells

std::vector<Cell> GreatWksSSParserInternal::Spreadsheet::m_cells

the list of not empty cells

Referenced by getRightBottomPosition(), and Spreadsheet().

## m_heightDefault

int GreatWksSSParserInternal::Spreadsheet::m_heightDefault

the default row height

Referenced by getRowHeight(), and Spreadsheet().

## m_heightRows

std::vector<int> GreatWksSSParserInternal::Spreadsheet::m_heightRows

the row height in points

Referenced by getRowHeight(), getRowHeight(), and Spreadsheet().

## m_name

std::string GreatWksSSParserInternal::Spreadsheet::m_name

the spreadsheet name

Referenced by Spreadsheet().

## m_widthCols

std::vector<int> GreatWksSSParserInternal::Spreadsheet::m_widthCols

the column size in points

Referenced by Spreadsheet().

## m_widthDefault

int GreatWksSSParserInternal::Spreadsheet::m_widthDefault

the default column width

Referenced by convertInPoint(), and Spreadsheet().

The documentation for this class was generated from the following file:

- GreatWksSSParser.cxx